Bug 1982153 - Accessibility (and cypress test) issue with empty category on Operator Hub page
Summary: Accessibility (and cypress test) issue with empty category on Operator Hub page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.9.0
Assignee: Jakub Hadvig
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1982246
TreeView+ depends on / blocked
 
Reported: 2021-07-14 10:40 UTC by Christoph Jerolimov
Modified: 2021-10-18 17:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:39:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
accessibility scan of OperatorHub page (461.66 KB, image/png)
2021-07-16 07:53 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:40:06 UTC

Description Christoph Jerolimov 2021-07-14 10:40:55 UTC
Description of problem:
This is a clone of https://issues.redhat.com/browse/ODC-6146

When running the cypress test "developer-catalog-details.feature" the tests tries to install the Serverless operator and fails because the Operator Hub page contains an accessibility issue.

Version-Release number of selected component (if applicable):
4.9 master

How reproducible:
Always

Steps to Reproduce:
a) Run the cypress test "developer-catalog-details.feature"
b) Or open the Operator Hub page with the Firefox axe - Web Accessibility Testing extension https://addons.mozilla.org/de/firefox/addon/axe-devtools/

Actual results:
a) cypress test fails with an a11y issue. See attached screenshot.
b) axe tests shows similar error (and some others as well). See also attached screenshot.

Expected results:
a) cypress tests runs successfully
b) Mentioned axe doesn't show this error

Additional info:
- On 4.6 is the "hidden" category (an empty string) is selectable.
- Since 4.7 is the hidden category (empty string) is not selectable anymore.

Comment 1 Christoph Jerolimov 2021-07-14 10:43:31 UTC
Created issue to backport this as Sam requested here https://github.com/openshift/console/pull/9479#issuecomment-879070954

Comment 3 Samuel Padgett 2021-07-14 15:11:53 UTC
Raising severity as this is an accessibility issue.

Comment 4 Yadan Pei 2021-07-16 07:53:37 UTC
Created attachment 1802276 [details]
accessibility scan of OperatorHub page

Steps to verify

1. visit OperatorHub page with  Firefox axe - Web Accessibility Testing extension, open developer tools and click `axe DevTools` tab, 'SCAN ALL OF MY PAGE' and check the accessibility testing results, 'Links must have discernible text' issue no longer exist (see 'accessibility scan of OperatorHub page' attachment)

2. Check OperatorHub items,  the empty string category is not shown anymore. The page shows an "Other" entry instead at the end

Comment 5 Yadan Pei 2021-07-16 08:01:04 UTC
verified on 4.9.0-0.nightly-2021-07-15-015134

Comment 8 errata-xmlrpc 2021-10-18 17:39:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.